#!/usr/bin/env python
"""
 To make a source-code distribution, run:
    python setup.py sdist --formats=bztar

 To make a windows executable, run:
    python setup.py py2exe
"""

from distutils.core import setup
import os,glob
try:
    import py2exe
except ImportError:
    print "Warning: py2exe not available."

data_file_list = []
for file in os.listdir('data'):
    if file.endswith(".png") or file.endswith(".ttf") or file.endswith(".ogg"):
      data_file_list.append(os.path.join('data',file))

setup(name="leaping_lemmings",
      windows=["leaping.py"],
      description="Leaping Lemmings",
      author="James Paige",
      author_email="Bob@HamsterRepublic.com",
      url="http://HamsterRepublic.com/games/leaping/",
      version='2004.07.27',
      license='GNU General Public License (GPL)',
      classifiers = [
          'Development Status :: 2 - Pre-Alpha',
          'Environment :: X11',
          'Environment :: Win32',
          'Intended Audience :: End Users/Desktop',
          'License :: OSI Approved :: GNU General Public License (GPL)',
          'Operating System :: POSIX',
          'Operating System :: Microsoft :: Windows',
          'Programming Language :: Python',
          'Topic :: Games/Entertainment',
          ],
      scripts=['leaping.py','loader.py','textsprite.py'],
      data_files=[("data", data_file_list)]
      )
